JACK_PROPERTY(1)

NAME
jack_property - JACK client to list, set and delete metadata information

SYNOPSIS
jack_property -l
jack_property [ -c | -p ] -l identifier
jack_property [ -c | -p ] -l identifier key
jack_property [ -c | -p ] -s identifier key value [ type ]
jack_property [ -c | -p ] -d identifier
jack_property [ -c | -p ] -d identifier key
jack_property -D

DESCRIPTION
jack_property can be used to list, set and delete any and all metadata associated with the ports and clients of a JACK server.

There are three main ways to use the command. The -l option is used to list existing metadata. The -s option is used to set metadata. The -d/-D options are used to delete metadata.

The identifier is normally a UUID (UUIDs for ports and clients can be shown with jack_lsp(1)). If the -c option is used, then identifier will be interpreted as a client name, and its UUID will be looked up internally and used for the relevant metadata operation. If the -p option is used, then identifier will be interpreted as a port name and its UUID will be looked up internally and used for the relevant metadata operation.

The key is an arbitrary string that identifies the metadata to be operated upon.

The value is an arbitrary string that defines the value of the metadata to be created.

The type is an optional MIME type, given as a string. An empty type for a piece of metadata results in it being interpreted as "text/UTF-8".

OPTIONS

-l  list all metadata currently defined

-l identifier
    list all metadata currently defined for identifier

-l identifier key
    show the value of the metadata associated with key for identifier

-d identifier
    deletes all metadata for identifier

-d identifier key
    deletes the metadata associated with key for identifier

-D  delete all currently defined metadata

-s identifier key value [ type ]
    sets the metadata associated with key to value for identifer, with its type set to type if given

-c  interpret a given identifier as a client name rather than a UUID

-p  interpret a given identifier as a port name rather than a UUID